Name:          nx-libs
Version:       3.5.0.13
Release:       1mamba
Summary:       NX X11 protocol compression libraries redistributed by X2Go dev team
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wiki.x2go.org/doku.php/wiki:libs:nx-libs
Source:        http://code.x2go.org/releases/source/nx-libs/nx-libs_%{version}-full.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      libnx = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
NX X11 protocol compression libraries redistributed by X2Go dev team.

%package -n libnx
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libnx
This package contains shared libraries for %{name}.

%package -n libnx-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libnx = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libnx-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{name}_%{version}
#-D -T
#:<< _EOF

# remove build cruft that is in Git (also taken from roll-tarball.sh)
rm -Rf nx*/configure nx*/autom4te.cache*
# Install into /usr
sed -i -e 's,/usr/local,/usr,' nx-X11/config/cf/site.def
# Use rpm optflags
sed -i -e 's#-O3#%{optflags}#' nx-X11/config/cf/host.def
# Use multilib dirs
# We're installing binaries into %%{_libdir}/nx/bin rather than %%{_libexedir}/nx
# because upstream expects libraries and binaries in the same directory
sed -i -e 's,/lib/nx,/%{_lib}/nx,' Makefile nx-X11/config/cf/X11.tmpl
sed -i -e 's,/lib/x2go,/%{_lib}/x2go,' Makefile
sed -i -e 's,/usr/lib/,/usr/%{_lib}/,' bin/*
 # Fix FSF address
find -name LICENSE | xargs sed -i \
   -e 's/59 Temple Place/51 Franklin Street/' -e 's/Suite 330/Fifth Floor/' \
   -e 's/MA  02111-1307/MA  02110-1301/'
# Fix source permissions
find -type f -name '*.[hc]' | xargs chmod -x

%build
#:<< ___EOF
cat >"my_configure" <<'EOF'
%configure
EOF
chmod a+x my_configure;
# The RPM macro for the linker flags does not exist on EPEL
%{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}
export SHLIBGLOBALSFLAGS="%{__global_ldflags}"
export LOCAL_LDFLAGS="%{__global_ldflags}"

%make %{?_smp_mflags} \
   CONFIGURE="$PWD/my_configure" \
   PREFIX=%{_prefix} \
   USRLIBDIR=%{_libdir} \
   SHLIBDIR=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PREFIX=%{_prefix} \
   USRLIBDIR=%{_libdir} SHLIBDIR=%{_libdir} \
   INSTALL_DIR="install -dm0755" \
   INSTALL_FILE="install -pm0644" \
   INSTALL_PROGRAM="install -pm0755"

# Remove static libs
rm -f %{buildroot}%{_libdir}/*.a

## Make sure x2goagent is linked relative and on 64-bit
#mkdir -p %{buildroot}%{_libdir}/x2go/bin
#ln -sf ../../nx/bin/nxagent %{buildroot}%{_libdir}/x2go/bin/x2goagent

ln -s ../lib/NX3/bin/nxagent %{buildroot}%{_bindir}/x2goagent

#rm -f %{buildroot}%{_includedir}/GL
rm -rf %{buildroot}%{_sysconfdir}

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf << _EOF
%{_libdir}/nx
_EOF

# Fix permissions on shared libraries
chmod 755 %{buildroot}%{_libdir}/lib*.so*

# Needed for Xinerama support
install -d -m0755 %{buildroot}%{_libdir}/nx/X11/Xinerama/
ln -s -f ../../../../%{_lib}/libX11.so.6 %{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_X11.so.6
ln -s -f ../../../../%{_lib}/libXext.so.6 %{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_Xext.so.6
ln -s -f ../../../../%{_lib}/libNX_Xinerama.so.1 %{buildroot}%{_libdir}/nx/X11/Xinerama/libXinerama.so.1

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libnx -p /sbin/ldconfig
%postun -n libnx -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/x2goagent
#%{_sysconfdir}/X11/xkb/compiled
#%{_sysconfdir}/X11/xserver/SecurityPolicy
#%{_sysconfdir}/fonts/fonts.conf
#%{_sysconfdir}/fonts/fonts.dtd
%dir %{_prefix}/lib/NX3/bin
%{_prefix}/lib/NX3/bin/*
%dir %{_prefix}/lib/NX3/lib
%{_prefix}/lib/NX3/lib/*
%dir %{_prefix}/lib/NX3/include
%{_bindir}/nxproxy
%{_mandir}/man1/nxproxy.1*

%files -n libnx
%defattr(-,root,root)
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_libdir}/libNX_FS.so.*
%{_libdir}/libNX_ICE.so.*
%{_libdir}/libNX_SM.so.*
%{_libdir}/libNX_X11.so.*
%{_libdir}/libNX_Xau.so.*
%{_libdir}/libNX_Xaw.so.*
%{_libdir}/libNX_Xcomposite.so.*
%{_libdir}/libNX_Xcursor.so.*
%{_libdir}/libNX_Xdamage.so.*
%{_libdir}/libNX_Xdmcp.so.*
%{_libdir}/libNX_Xext.so.*
%{_libdir}/libNX_Xfixes.so.*
%{_libdir}/libNX_Xfont.so.*
%{_libdir}/libNX_Xft.so.*
%{_libdir}/libNX_Xinerama.so.*
%{_libdir}/libNX_Xmu.so.*
%{_libdir}/libNX_Xmuu.so.*
%{_libdir}/libNX_Xpm.so.*
%{_libdir}/libNX_Xrandr.so.*
%{_libdir}/libNX_Xrender.so.*
%{_libdir}/libNX_Xt.so.*
%{_libdir}/libNX_Xtst.so.*
%{_libdir}/libNX_expat.so.*
%{_libdir}/libNX_fontconfig.so.*
%{_libdir}/libNX_fontenc.so.*
%{_libdir}/libNX_freetype.so.*
%dir %{_libdir}/nx
%{_libdir}/nx/libXcomp.so.*
%{_libdir}/nx/libXcompext.so.*
%{_libdir}/nx/libXcompshad.so.*
%dir %{_libdir}/nx/X11
%dir %{_libdir}/nx/X11/Xinerama
%{_libdir}/nx/X11/Xinerama/libNX_X11.so.*
%{_libdir}/nx/X11/Xinerama/libNX_Xext.so.*
%{_libdir}/nx/X11/Xinerama/libXinerama.so.*

%files -n libnx-devel
%defattr(-,root,root)
%{_includedir}/GL
%dir %{_includedir}/nx
%{_includedir}/nx/*.h
%dir %{_prefix}/lib/NX3/include
%{_prefix}/lib/NX3/include/*
%{_libdir}/libNX_FS.so
%{_libdir}/libNX_ICE.so
%{_libdir}/libNX_SM.so
%{_libdir}/libNX_X11.so
%{_libdir}/libNX_Xau.so
%{_libdir}/libNX_Xaw.so
%{_libdir}/libNX_Xcomposite.so
%{_libdir}/libNX_Xcursor.so
%{_libdir}/libNX_Xdamage.so
%{_libdir}/libNX_Xdmcp.so
%{_libdir}/libNX_Xext.so
%{_libdir}/libNX_Xfixes.so
%{_libdir}/libNX_Xfont.so
%{_libdir}/libNX_Xft.so
%{_libdir}/libNX_Xinerama.so
%{_libdir}/libNX_Xmu.so
%{_libdir}/libNX_Xmuu.so
%{_libdir}/libNX_Xpm.so
%{_libdir}/libNX_Xrandr.so
%{_libdir}/libNX_Xrender.so
%{_libdir}/libNX_Xt.so
%{_libdir}/libNX_Xtst.so
%{_libdir}/libNX_expat.so
%{_libdir}/libNX_fontconfig.so
%{_libdir}/libNX_fontenc.so
%{_libdir}/libNX_freetype.so
%{_libdir}/nx/libXcomp.a
%{_libdir}/nx/libXcomp.a
%{_libdir}/nx/libXcomp.so
%{_libdir}/nx/libXcompext.so
%{_libdir}/nx/libXcompshad.a
%{_libdir}/nx/libXcompshad.so
%{_libdir}/pkgconfig/fontconfig.pc
%{_libdir}/pkgconfig/freetype2.pc
%{_libdir}/pkgconfig/xcomposite.pc
%{_libdir}/pkgconfig/xcursor.pc
%{_libdir}/pkgconfig/xdamage.pc
%{_libdir}/pkgconfig/xfixes.pc
%{_libdir}/pkgconfig/xft.pc
%{_libdir}/pkgconfig/xrender.pc

%changelog
* Thu Nov 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0.13-1mamba
- package created using the webbuild interface
